import request from '@/utils/request'

// 查询推荐信息记录列表
export function listLog(query) {
  return request({
    url: '/system/recommendLog/list',
    method: 'get',
    params: query
  })
}

// 查询推荐信息记录详细
export function getLog(id) {
  return request({
    url: '/system/recommendLog/' + id,
    method: 'get'
  })
}

// 新增推荐信息记录
export function addLog(data) {
  return request({
    url: '/system/recommendLog',
    method: 'post',
    data: data
  })
}

// 修改推荐信息记录
export function updateLog(data) {
  return request({
    url: '/system/recommendLog',
    method: 'put',
    data: data
  })
}

// 删除推荐信息记录
export function delLog(id) {
  return request({
    url: '/system/recommendLog/' + id,
    method: 'delete'
  })
}
